# This file created by conda-build 3.16.0
# meta.yaml template originally from:
# F:\nwani\repos\aggregate\hdf5-feedstock\recipe, last modified Sun Oct  7 01:14:48 2018
# ------------------------------------------------

package:
    name: hdf5
    version: 1.10.2
source:
    patches:
        - test_Makefile.in.patch
    sha256: bfec1be8c366965a99812cf02ddc97e4b708c1754fccba5414d4adccdc073866
    url: https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.10/hdf5-1.10.2/src/hdf5-1.10.2.tar.gz
build:
    number: '2'
    run_exports:
        - hdf5 >=1.10.2,<1.10.3.0a0
    string: h530792d_2
requirements:
    build:
        - cmake 3.12.2 he025d50_0
        - intel-fortran_win-64 13.1.6 h09e79d1_0
        - jom 1.1.2 h3bd88b9_0
        - vc 14.1 h0510ff6_4
        - vs2008_win-64 9.00.30729.1 hb7fc0b5_1
        - vs2015_runtime 14.15.26706 h3a45250_0
    host:
        - icc_rt 2017.0.4 h97af966_0
        - vc 9 h7299396_1
        - vs2008_runtime 9.00.30729.1 hfaea7d5_1
        - zlib 1.2.11 hbc2faf4_2
    run:
        - icc_rt >=13.1.6
        - vc 9.*
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - where gif2h5
        - where h52gif
        - where h5copy
        - where h5debug
        - where h5diff
        - where h5dump
        - where h5import
        - where h5jam
        - where h5ls
        - where h5mkgrp
        - where h5repack
        - where h5repart
        - where h5stat
        - where h5unjam
        - if not exist %PREFIX%\\Library\\lib\\hdf5.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5.dll exit 1
        - if not exist %PREFIX%\\Library\\lib\\hdf5_cpp.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5_cpp.dll exit 1
        - if not exist %PREFIX%\\Library\\lib\\hdf5_hl.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5_hl.dll exit 1
        - if not exist %PREFIX%\\Library\\lib\\hdf5_hl_cpp.lib exit 1
        - if not exist %PREFIX%\\Library\\bin\\hdf5_hl_cpp.dll exit 1
    files:
        - compound_fortran2003.f90
        - h5_cmprss.c
        - h5_cmprss.f90
        - h5tutr_cmprss.cpp
    requires:
        - intel-fortran_win-64 13.1.6.*
        - vs2008_win-64
about:
    description: 'HDF5 supports an unlimited variety of datatypes, and is designed
        for

        flexible and efficient I/O and for high volume and complex data.

        '
    dev_url: https://www.hdfgroup.org/HDF5/release/obtain5.html
    doc_url: https://www.hdfgroup.org/HDF5/doc/
    home: http://www.hdfgroup.org/HDF5/
    license: HDF5
    license_family: BSD
    license_file: COPYING
    summary: HDF5 is a data model, library, and file format for storing and managing
        data
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - astrofrog
        - gillins
        - groutr
        - jakirkham
        - marqh
        - msarahan
        - ocefpaf
